package com.jenny.advancedarrows.conditions;

import com.google.gson.JsonObject;
import net.minecraft.resources.ResourceLocation;
import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.common.crafting.conditions.ICondition;
import net.minecraftforge.common.crafting.conditions.IConditionSerializer;

import static com.jenny.advancedarrows.advancedArrows.MODID;

public class ConfigCondition implements IConditionSerializer<ConfigCondition>, ICondition {
    public ForgeConfigSpec.ConfigValue<Boolean> config;
    public String name;

    public ConfigCondition(String name, ForgeConfigSpec.ConfigValue<Boolean> config) {
        this.config = config;
        this.name = name;
    }

    @Override
    public void write(JsonObject json, ConfigCondition value) {
    }

    @Override
    public ConfigCondition read(JsonObject json) {
        return this;
    }

    @Override
    public ResourceLocation getID() {
        return new ResourceLocation(MODID, name);
    }

    @Override
    public boolean test(IContext context) {
        return config.get();
    }
}
